SmpFileNameParser.Authority (SMP Provider 1.1.0-3.3.0 API)
Date: 2014-07-19

org.apache.commons.vfs2.provider

## Class SmpFileNameParser.Authority

- java.lang.Object
- - org.apache.commons.vfs2.provider.SmpFileNameParser.Authority

- Enclosing class:
    SmpFileNameParser

      protected static class SmpFileNameParser.Authority
      extends Object

  Parsed authority info (scheme, hostname, userinfo, port)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SmpFileNameParser.Authority()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostName()`
    `String` | `getPassword()`
    `int` | `getPort()`
    `String` | `getScheme()`
    `String` | `getUserName()`
    `void` | `setHostName(String hostName)`
    `void` | `setPassword(String password)`
    `void` | `setPort(int port)`
    `void` | `setScheme(String scheme)`
    `void` | `setUserName(String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmpFileNameParser.Authority

          protected SmpFileNameParser.Authority()

  - ### Method Detail

    - #### getScheme

          public String getScheme()

    - #### setScheme

          public void setScheme(String scheme)

    - #### getHostName

          public String getHostName()

    - #### setHostName

          public void setHostName(String hostName)

    - #### getUserName

          public String getUserName()

    - #### setUserName

          public void setUserName(String userName)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

Copyright © 2014. All Rights Reserved.